### Method

# FwupdPlugin Device bind_driver

since: 1.5.0

#### Declaration [src]

    gboolean
    fu_device_bind_driver (
      FuDevice* self,
      const gchar* subsystem,
      const gchar* driver,
      GError** error
    )

#### Description [src]

Binds a driver to the device, which normally means the kernel driver takes control of the hardware.

Available since: 1.5.0

#### Parameters

`subsystem`

  Type: `const gchar*`

  A subsystem string, e.g. `pci`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`driver`

  Type: `const gchar*`

  A kernel module name, e.g. `tg3`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if driver was bound.